Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84603 - Network Device Control - permission errors from attempt to copy files before gaining root priviledges
Summary: Network Device Control - permission errors from attempt to copy files before ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-network
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 15:25 UTC by John Ellson
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-20 13:24:07 UTC


Attachments (Terms of Use)

Description John Ellson 2003-02-19 15:25:30 UTC
Description of problem:
Permission errors from attempt to copy files before gaining root priviledges

Version-Release number of selected component (if applicable):
redhat-config-network-1.1.97-1

How reproducible:
100%

Steps to Reproduce:
1.As a normal user, select from RH menu: System Tools -> Network Device Control
2.
3.
    
Actual results:
Two Warning popups:

Error copying 
/etc/hosts
to /etc/sysconfig/networking/profiles//default/hosts:
[Errno 13] Permission denied: '/etc/sysconfig/networking/profiles//default/hosts'!

Error copying 
/etc/resolv.conf
to /etc/sysconfig/networking/profiles//default/resolv.conf:
[Errno 13] Permission denied:
'/etc/sysconfig/networking/profiles//default/resolv.conf'!

Expected results:
No errors.

Additional info:

Comment 1 Harald Hoyer 2003-02-20 13:24:07 UTC
fixed in CVS, thx


Note You need to log in before you can comment on or make changes to this bug.